﻿using System;
using System.Windows.Forms;
using ELTE.BoardGame.Model;
using ELTE.BoardGame.Persistence;
using ELTE.BoardGame.View;

namespace ELTE.BoardGame
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            // függőség befecskendezés több szinten
            IPersistence persistence = new TextFilePersistence();
            BoardGameModel model = new TicTacToeModel(persistence);
            Form view = new DrawingForm(model);

            Application.Run(view);
        }
    }
}
